# base-data-manager

The BaseDataManagerComponent class for instance is the base class for Data Managers

## Support

### Properties

| Property                       | Get/Set | Notify Changes | Details                                                                                                                                            |
| ------------------------------ | ------- | -------------- | -------------------------------------------------------------------------------------------------------------------------------------------------- |
| currentColumn: string          | Yes/No  | No             | Gets datamanager current column name.                                                                                                              |
| dirty: boolean                 | Yes/No  | No             | Returns the value of the dirty flag.                                                                                                               |
| detailsContainerHeight: number | Yes/No  | No             | Calcs the size of the details area.                                                                                                                |
| detailsHeight: number          | Yes/No  | No             | Returns the height of the details band.                                                                                                            |
| dirty: boolean                 | Yes/No  | No             | Returns the value of the dirty flag.                                                                                                               |
| footerHeight: number           | Yes/No  | No             | Returns the height of the footer band.                                                                                                             |
| getCurrentRow: number          | Yes/No  | No             | Returns numeric position value of row.                                                                                                             |
| heightContainer: number        | Yes/No  | No             | Returns the height of the container, this property is NOT send in the model, but it is set in the currentDM of the data-manager-control.component. |
| headerHeight: number           | Yes/No  | No             | Returns the height of the header band.                                                                                                             |
| linesIndddw: number            | Yes/No  | No             | This property is handled by dropdown datawindow control to handle the amount of rows.                                                              |
| obtainHeightValue: number      | Yes/No  | No             | Returns the height of the 'property' pass as argument.                                                                                             |
| summaryHeight: number          | Yes/No  | No             | Returns the height of the summary band.                                                                                                            |
| titleHeight: number            | Yes/No  | No             | Returns the height of the title band.                                                                                                              |
| trailerHeight: number          | Yes/No  | No             | Returns the height of the trailer band.                                                                                                            |

### Events

Data Manager events are handled by DataManagerControlComponent

### Functions

| Function         | Supported | Details                                   |
| ---------------- | --------- | ----------------------------------------- |
| loadData         | Yes       | Loads the data received from server.      |
| getPage          | Yes       | Gets page in a specified range.           |
| paginationinfo   | Yes       | Returns pagination information            |
| currentPageIndex | Yes       | Calculates the page number of current row |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gapvelocity.ai/webmap/general/frontend/documentation/powerbuilder-kendo-components/data-manager-componets/base-data-manager.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
